com.ihr.xbrl.gui.interfaces

## Interface RSRemoteCatalogGUI

-     public interface RSRemoteCatalogGUI

  The Interface RSRemoteCatalogGUI.
  Author:
    Ignacio

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `RSRemoteCatalogGUI.Result` The Enum Result.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RSRemoteCatalogGUI.Result` | `askUserToDownloadPackage(RSRemoteCatalogResolver.StaticCatalogEntry sce)` Shall obtain from the remote application an action in order to decide how to proceed.
    `InstallCallBack` | `createInstallWindow()` Creates a window in the event thread so the installation thread can deliver messages during the installation process such as progress and errors.
    `void` | `removeInstallWindow()` Called by the RSRemoveCatalog when the GUI can be disposed.
    `RSRemoteCatalogGUI.Result` | `requestRSTocreatePackage(java.net.URI u)` Request rs tocreate package.
    `RSRemoteCatalogGUI.Result` | `tellUserToUpgrade(RSRemoteCatalogResolver.StaticCatalogEntry sce)` Shall obtain from the remote application an action in order to let the user know one file is not in the taxonomy catalog but the user's license is also not valid at this time so the user cannot obtain the taxonomy package .

- - ### Method Detail

    - #### tellUserToUpgrade

          RSRemoteCatalogGUI.Result tellUserToUpgrade(RSRemoteCatalogResolver.StaticCatalogEntry sce)

      Shall obtain from the remote application an action in order to let the user know one file is not in the taxonomy catalog but the user's license is also not valid at this time so the user cannot obtain the taxonomy package .
      Parameters:
        `sce` - instance of the StaticCatalogEntry class with further information
      Returns:
        the user option from the Result enumeration

    - #### askUserToDownloadPackage

          RSRemoteCatalogGUI.Result askUserToDownloadPackage(RSRemoteCatalogResolver.StaticCatalogEntry sce)

      Shall obtain from the remote application an action in order to decide how to proceed. The user, at this time has the opportunity to download a new package from Reporting Standard web site and install it so the files could be loaded from the taxonomy catalog
      Parameters:
        `sce` - instance of the StaticCatalogEntry class with further information
      Returns:
        the user option from the Result enumeration

    - #### requestRSTocreatePackage

          RSRemoteCatalogGUI.Result requestRSTocreatePackage(java.net.URI u)

      Request rs tocreate package.
      Parameters:
        `u` - the u
      Returns:
        the result

    - #### createInstallWindow

          InstallCallBack createInstallWindow()

      Creates a window in the event thread so the installation thread can deliver messages during the installation process such as progress and errors.
      Returns:
        instance of InstallCallBack interface

    - #### removeInstallWindow

          void removeInstallWindow()

      Called by the RSRemoveCatalog when the GUI can be disposed.